import React from 'react';
import Taro from '@tarojs/taro';
import { View } from '@tarojs/components';
import withLayout from '@/layouts'
import CustomNav from '@/components/CustomNav'
import ButtontWX from '@/components/ButtontWX'

export default withLayout(function (props) {

  const onClick = () => {
    Taro.showLoading({ title: '请稍候...' });
    setTimeout(() => {
      Taro.hideLoading();
      Taro.showToast({ title: '当前已是最新版本', icon: 'none' })
    }, 1500);
  }
  
  return (
    <View className='page-index'>
      <View className='index-navbar'>
        <CustomNav title='系统更新' />
      </View>
      <View style={{ padding: '16px' }}>
        <ButtontWX onClick={onClick} butText='检查更新' butWidth={300} butHeight={49} butFontSize={16} butBorderRadius={49} />
      </View>
    </View>
  );
})
