import React from "react"
import Taro from '@tarojs/taro';
import { View, Image } from "@tarojs/components"
import CustomNav from "@/components/CustomNav"
// import decorate from "@/assets/icons/comm/decorate.png"
import withLayout from '@/layouts'

import './style.less'




export default withLayout((props) => {
  return (
    <View className='page-index'>
      <View className='index-navbar'>
        <CustomNav title='用户协议及隐私政策' />
      </View>
      <scroll-view scrollY style='height: 100%;' >
        <Image
          src='https://dz-machinery.oss-cn-nanjing.aliyuncs.com/images/privacy_policy.png'
          style={{ paddingBottom: '60px', width: '100%' }}
          mode='widthFix'
        />
      </scroll-view>
    </View>
  )
})
